.db-section {
    margin-bottom: 60px;
    &:last-child {
        margin-bottom: 20px;
    }

    @media(min-width: $md) {
        margin-bottom: 70px;
    }
}



// SECTION TOGGLE  -----------------------------

.db-section__toggle {
    @include h3();
    margin-bottom: 0; 
    span {
        font-size: 16px;
        transition: color 0.2s ease;
    }
    .tab {
        background: transparent;
        border: 0;
        color: #fff;
        opacity: 0.5;
        font-weight: bold;
        transition: opacity 0.2s ease;
        margin-right: 0.75em;
        padding: 0;
        cursor: pointer;

        &.active {
            cursor: default;
            opacity: 1;
            span {
                color: $green1;
            }
        }
        &:hover:not(.active) {
            opacity: 0.8; 
            span {
                color: $green1;
            }
        }
    }
    @media(min-width: $md) {
        span {
            font-size: 20px;
        }
    }
}
 

// FAST WRAP BLOCK  -----------------------------

.c-wrap {
    background: $gray;
    border-radius: 20px;
    padding: 20px 20px 25px;
    margin-bottom: 30px;

    @media(min-width: $md) {
        padding: 30px 32px 30px;
    }
}

.c-wrap__header {
    display: flex;
    justify-content: space-between;
    align-items: center;
    margin-bottom: 24px;

    .h3, .h4 {
        flex-shrink: 0;
        margin-bottom: 0;
        margin-right: 20px;
    }

    @media(min-width: $md) {
        margin-bottom: 35px
    }
}

.c-wrap__info {
    display: flex;
    align-items: center;
    text-align: right;
    font-size: 10px;
    line-height: 14px;
    div {
        margin-right: 12px;
    }
    @media(min-width: $md) {
        font-size: 18px;
        line-height: 21px;
    }

}

.c-wrap__form {
    .col {
        margin-bottom: 20px;
    }

    .btn.btn-grad {
        width: 100%;
        margin-top: -30px;
    }

    @media(min-width: $md) {
        .btn.btn-grad  {
            margin-top: 0;
        }
    }

    @media(min-width: $lg) {
        .col {
            padding: 0 15px;
        }
    }
}

// таблицы ----------------

.c-wrap__table {
    max-height: 380px;
    overflow-y: auto;

    &::-webkit-scrollbar {
        width: 16px;
        background-color: transparent;
        background-color: rgba(#fff, 0.1);
        border-radius: 0;
        border-left: 12px solid #1E2121;
    }

    &::-webkit-scrollbar-thumb {
        background-color: rgba(#fff, 0.3);
        border-radius: 0;
        border-left: 12px solid #1E2121;
    }

    &.light {
        .item {
            background: $gray;  
            &.item-header {
                background: $black;
            }
        } 
    }

    &.height-auto {
        max-height: none;
    }

    small {
        display: inline-block;
        line-height: 1.4em;
    }

    .item {
        position: relative;
        background: #141616;
        border-radius: 10px;
        margin-bottom: 8px;
        font-size: 16px;
        padding: 18px 0 10px;

        &.item-header {
            color: rgba(255,255,255,.6) !important;
            margin-bottom: 0;
            padding: 0;
            display: none;
            padding: 10px 0 6px;
            background: $gray;
            position: sticky;
            top: 0;
            z-index: 2;
            border-radius: 0;
        }

        &.item-narrow {
            padding: 12px 0 4px;  
        }

        &.has-error {
            border: 1px solid $red;
            + .item-error {
                color: $red;
                font-size: 14px;
                margin-top: -2px;
                margin-bottom: 14px;
            }
            .btn-del {
                background-color: $red;
                // opacity: 1;
                border-radius: 6px;
            }
        }
    }

    &.with-del-btn {
        .item {
            padding-right: 50px;
        }
    }

    .row {
        margin: 0;
    }

    .i-coin {
        width: 24px;
        height: 24px;
    }

    .col-legend {
        opacity: 0.4;
        display: inline-block;
        margin-right: 6px;
    }

    .btn-del {
        background: transparent;
        padding: 0;
        position: absolute;
        top: 16px;
        right: 15px;
        border: 0;
        opacity: 0.5;
        width: 24px;
        height: 24px;
        z-index: 9;
        &:hover {
            opacity: 1;
        }
        img {
            display: block;
        }
    }


    .icon {
        display: inline-block;
    }

    .input-control {
        &:focus {
            box-shadow: 0px 0px 20px rgba(102, 253, 208, 0.9);
        }
    }

    @media(min-width: $sm) {

        .sm-right {
            text-align: right;
            padding-right: 20px;
        }
    }

    @media(min-width: $md) {
        max-height: 460px;

        &::-webkit-scrollbar {
            width: 20px;
            border-left: 14px solid #1E2121;
        }
    
        &::-webkit-scrollbar-thumb {
            border-left: 14px solid #1E2121;
        }

        .row {
            align-items: center;
        }

        .md-right {
            text-align: right;
            padding-right: 20px;
        }

        .item {
            &.item-header {
                display: block;
            }
        }

        .btn-del {
            top: 50%;
            transform: translateY(-50%);
        }
        .col-legend {
            display: none;
        }
        .batch-size {
            text-align: right;
        }
    }
}

.tb-activity {
    display: flex;
    align-items: center;
    .icon {
        margin-right: 16px;
    }
}

.tb-coin {
    display: flex;
    align-items: center;
    .i-coin {
        margin-right: 8px;
        flex-shrink: 0;
        flex-grow: 0;
    }
    .name {
        text-overflow: ellipsis;
        overflow: hidden;  
        white-space: nowrap;
        margin-top: 1px;
    }
}

.tb-nft {
    display: flex;
    align-items: center;
    img {
        max-width: 46px;
        max-height: 46px;
        display: block;
    }
    &.sm {
        img {
            max-width: 32px;
            max-height: 32px;
        }    
    }

    .info {
        margin-left: 10px;
        text-overflow: ellipsis;
        overflow: hidden;  
        white-space: nowrap;
    }
}

.tb-nft-price {
    display: flex;
    align-items: center;
    svg {
        display: block;
        margin-top: -1px;
        margin-left: 4px;
    }
}

.tb-icon-24 {
    display: flex;
    align-items: center;
    img {
        display: block;
        max-width: 24px;
        max-height: 24px;
    }  
}

.tb-input {
    .input-control {
        height: 32px;
        font-size: 16px;
        line-height: 16px;
        padding: 4px 12px;
    }

    &.tb-percent {
        position: relative;
        .input-control {
            padding-right: 30px;
            background-image: url($img-persent);
            background-position: top 50% right 12px;
            background-repeat: no-repeat;
            text-align: right;
            max-width: 100px;
            &:focus {
                box-shadow: 0px 0px 25px rgba(102, 253, 208, 0.4);
            }
            &.has-error {
                box-shadow: 0px 0px 25px rgba($red, 1); 
            }
        }
    }
}

.tb-tags {
    display: flex;
    flex-wrap: wrap;
    .t-tag {
        font-size: 14px;
        line-height: 24px;
        padding: 3px 9px;
        background: rgba(255, 255, 255, 0.1);
        border-radius: 4px;
        white-space: nowrap;
        margin-right: 6px;
        margin-top: 2px;
        margin-bottom: 2px;
    }
}

// FILTER -----------------------------

.db-filter {
    background: $gray;
    border-radius: 20px;
    padding: 20px 16px 12px;
    margin-bottom: 30px;

    .row {
        margin-right: -12px;
        margin-left: -12px;

        [class*="col-"] {
            padding-right: 12px;
            padding-left: 12px;
        }
    }


    @media(min-width: $md) {
        padding: 24px 24px 16px;
       
        .checkbox {
            font-size: 16px;
        }
    }
}

// STATISTICS -----------------------------

.c-stat {
    margin-bottom: 60px;

    .row {
        flex-wrap: wrap;
        margin: 0 -9px 20px;
        .col {
            padding: 0 9px 20px;
        }
    }



    .field-unit {
        font-size: 16px; 
        font-weight: 300;
    }

    .field-collateral {
        font-size: 18px;
        line-height: 20px;
        img {
            border: 0;
        }
    }

    .field-collateral__details {
        padding-top: 5px;
        .inner {
            background: $gray;
            border-radius: 10px;
        }

        table {
            td {
                border-bottom: 1px solid rgba(#fff, 0.1);
            }
        }
    }

    @media(min-width: $lg) {
        
        .field-collateral {
            font-size: 22px;
            line-height: 20px;
        }

        .field-label {
            font-size: 18px;
        }

        .field-row {
            &:last-child {
                height: 46px;
            }
        }

        .row {
            flex-wrap: wrap;
            margin: 0 -15px 20px;
            .col {
                padding: 0 15px 20px;
            }
        }

    }

}

.c-stat__block {
    background-color: $gray;
    box-shadow: 0px 5px 25px -10px rgb(0 0 0 / 16%);
    border-radius: 20px;
    padding: 20px 16px;
    border: 1px solid $gray;
    position: relative;
    cursor: pointer;

    &:hover {
        .field-collateral__details {
            display: block;
        }
    }

    .link-more {
        position: absolute;
        top: 0;
        left: 0;
        width: 100%;
        height: 100%;
        border-radius: 20px;
        z-index: 1;
        border: 1px solid $gray;
        transition: border-color 0.2s ease;
        &::before {
            content: '';
            display: block;
            width: 24px;
            height: 24px;
            background: url($img-arrow) center no-repeat;
            position: absolute;
            top: 10px;
            right: 16px;
            opacity: 0;
            transition: opacity 0.2s ease;

            animation-name: bounce-hor;
            animation-timing-function: ease;
            animation-duration: 1.3s;
            animation-iteration-count: infinite;
        }

        &:hover {
            border-color: $green1;
            &::before {
                opacity: 1;
            }
        }
    }

    @media(min-width: $md) {
        padding: 20px 30px 18px;
    }

    @media(min-width: $lg) {
        padding: 20px 24px 14px;
    }
}


// DASHBOARD GRID  -----------------------------

.c-header {
    margin-bottom: 30px;
    .h3 {
        margin-bottom: 30px;
        margin-top: -16px;
        line-height: 1.2em;
        max-width: 60%;
    }

    @media(min-width: $md) {
        display: flex;
        justify-content: space-between;
        align-items: center;
        margin-bottom: 0px;
        .h3 {
            margin-bottom: 40px;
            margin-top: -24px;
            max-width: 50%;
        }
    }
    @media(min-width: $lg) {
        .h3 {
            margin-bottom: 50px;
        }
    }
}

.c-row {
    margin: 0 -15px;
    display: flex;
    flex-wrap: wrap;
    justify-content: flex-start;
}

.c-col {
    padding: 0 15px;
    width: 100%;
    margin-bottom: 30px;

    @media(min-width: $md) {
        width: 50%;
    }

    @media(min-width: $lg) {
        width: 33.3%;
        margin-bottom: 50px;
    }
}

// SECTION INFO  -----------------------------

.db-info {
    margin-bottom: 40px;
    line-height: 150%;
    .divider {
        margin-bottom: 60px;
    }
    .text-small {
        padding: 0 20px;
    }
    .c-wrap {
        margin-bottom: 16px;
        p {
            margin: 0 0 1.5em;
            &:last-child {
                margin-bottom: 0;
            }
        }
    }
    
    @media(min-width: $md) {
        .divider {
            margin-bottom: 80px;
        }
        .text-small {
            font-size: 16px;
            line-height: 150%;
        }
        .btn {
            max-width: 310px;
        }
    }
}